<?php
include("include/data.php");
Init_boutique();
global $base, $MySQL_Host, $MySQL_User, $MySQL_Passw, $myart, $A_NumArt,$i, $result, $NbLigne, $mygroupeart, $mysousgroupeart, $semaine, $limitesuivante, $limiteprecedente, $limite, $total, $page, $Nom_Client ;
// entete de la page
include 'menu/header.php';

$date = date("d-m-Y");

$nombre = 10;  // on va afficher 5 résultats par page.
$limite=$_GET['limite'];

if (!isset($limite)) $limite = 0; // si on arrive sur la page pour la première fois 
$limitesuivante = $limite + $nombre;
$limiteprecedente = $limite - $nombre;
$selectc = 'SELECT count(num_ligne) FROM saisies_abat ';
$selectc.=" WHERE 'IdNumClient'='".$IdNumClient."'";
$req = mysqli_query($link, $selectc); 
$row = mysqli_fetch_row($req);
$total= $row[0];


// titre page
echo "<div class='titre-text'><center>Saisies Carcasses Abattoirs</div></center><br>" ;

// menu haut new-supp-modif

echo "<center>";
Echo "<table cellspacing=0 cellpadding=0 align=center border=0>";
Echo "<tbody>";
echo "<span class='t-text'><b>Saisies Abattoir</b></span> <b> : </b>";
echo "<a href='saisie_saisieabattoir.php'><b>Saise</b></a> <b> | </b>";
echo "<a href=''><b>Consulter</b></a> <b> | </b>";
echo "<a href=''><b>Modifier</b></a>";
Echo "</td></tr>";
Echo "</tbody>";
Echo "</table>";

//echo "total : ".$total."| limite  ".$limite."<br> limite suivante ".$limitesuivante."| limite precedente".$limiteprecedente ."<br>";
echo "<br>" ;


echo "<table border='1' cellpadding='1' cellspacing='1' width='500' height='22'><tr>";
echo "<td width='30' height='20' valign='center' bgcolor='#CCCCCC'>
	<div align='center'><span class='t-text'>Date</div></td></span>";
echo "<td width='50' height='20' valign='center' bgcolor='#CCCCCC'>
	<div align='center'><span class='t-text'>Certificat</td></span>";
echo "<td width='50' height='20' valign='center' bgcolor='#CCCCCC'>
	<div align='center'><span class='t-text'>Num abat</td></span>";
echo "<td width='50' height='20' valign='center' bgcolor='#CCCCCC'>
	<div align='center'><span class='t-text'>Poids S</td></span>";
echo "<td width='32' height='20' valign='center' bgcolor='#CCCCCC'>
	<div align='center'><span class='t-text'>M</td></span>";
echo "<td width='32' height='20' valign='center' bgcolor='#CCCCCC'>
	<div align='center'><span class='t-text'>D</td></span>";
echo "</tr>";

$myart =new saisies_abat;
$select = 'select * FROM saisies_abat ';
$select.=" Where IdNumClient='".$IdNumClient."'";
$select.=' ORDER BY date_saisie ASC limit '.$limite.','.$nombre;

$result =mysqli_query($link, $select);
$myart->getnum($result);
while ($myart->z < $myart->num) {
  $myart->readrow($result);
  $ligne=$myart->num_ligne ;
  $certificat=$myart->num_certificat ;
  $date_saisie=$myart->date_saisie ;
  $num_abat=$myart->num_abat ;
  $poid_saisie=$myart->poid_saisie ;

$date_saisie=date("d/m/Y", strtotime($date_saisie));
//echo  date("d/m/Y", strtotime($Date_Entre))." ".$date_e;

  
    echo "<tr><td width='30' height='20' valign='center'>
	<div align='center'><span class='t-text'>$date_saisie</div></td></span>";
	echo "<td width='100' height='20' valign='center'>
	<div align='center'><span class='t-text'>$certificat</div></td></span>";
	echo "<td width='50' height='20' valign='center'>
	<div align='center'><span class='t-text'>$num_abat</div></td></span>";
	echo "<td width='50' height='20' valign='center'>
	<div align='center'><span class='t-text'>$poid_saisie</div></td></span>";
	echo "<td width='20' height='20' valign='center'>
	<div align='center'><a class='' href='Modif_Sasieabattoir.php?num_ligne=$ligne'><img src='images/modifie.png' width='20' height='20'></a></div></td>";
	echo "<td width='20' height='20' valign='center'>
	<div align='center'><a class='' href='delette__saisies_abattoir.php?num_ligne=$ligne&num_bon=$num_abat'><img src='images/pblle.jpg' width='20' height='20'></div></td></tr>";

} 
echo "</tr></table><br>";

// menu bas //

echo "<table border='1' cellpadding='0' cellspacing='0' width='500' height='22'><tr>";
echo "<td width='120' height='20' valign='center'><div align='center'><span class='t-text'>";
	 
if($limite != 0) {
    echo '<a href="'.$page.'?limite='.$limiteprecedente.'">Page precedente</a>';
}
echo "</div></td></span>";
echo "<td width='120' height='20' valign='center'><div align='center'><span class='t-text'>";
if($limitesuivante < $total) {
    echo '<a href="'.$page.'?limite='.$limitesuivante.'">Page Suivante</a>';
}
echo "</div></td></span>";
echo "</tr></table>";


include 'menu/footer.php';
?>